#!/bin/bash
# 安装git
echo "正在安装git..."
yum -y install git

# 检查git版本
git --version

# 克隆若依项目
echo "正在克隆若依项目..."
git clone https://gitee.com/y_project/RuoYi.git

# 查看项目信息
ls /root/RuoYi
ls /root/RuoYi/ruoyi-admin/src/main/resources/
cat /root/RuoYi/ruoyi-admin/src/main/resources/application-druid.yml
echo

# 修改配置文件
# 颜色代码
RED='\033[31m'
RESET='\033[0m'
# 提示用户输入新值
read -e -p "$(echo -e ${RED}请输入新的数据库地址（如 newhost）：${RESET})" new_host
read -e -p "$(echo -e ${RED}请输入新的数据库用户名：${RESET})" new_username
read -e -s -p "$(echo -e ${RED}请输入新的数据库密码：${RESET})" new_password
echo

# 文件路径
config_file="/root/RuoYi/ruoyi-admin/src/main/resources/application-druid.yml"

# 备份原始文件
cp $config_file ${config_file}.bak

# 修改配置文件
sed -i "s|url: jdbc:mysql://localhost|url: jdbc:mysql://${new_host}|" $config_file
sed -i "s|username: root|username: ${new_username}|" $config_file
sed -i "s|password: password|password: ${new_password}|" $config_file

echo "配置文件已更新。"
echo
cat ${config_file}
echo
